Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package reify
  Definition Classes
    reflect
-  package codegen
  Definition Classes
    reify
- GenAnnotationInfos
- GenNames
- GenPositions
- GenSymbols
- GenTrees
- GenTypes
- GenUtils

t

scala.reflect.reify.codegen

# GenSymbols 

###

#### trait GenSymbols extends AnyRef

Self Type
  Reifier
Source
  GenSymbols.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ApplyReifier, Reifier, UnapplyReifier, Phases, Reifier, Reify
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenSymbols
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class Reification (name: tools.nsc.Global.Name, binding: tools.nsc.Global.Tree, tree: tools.nsc.Global.Tree) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from GenSymbols to any2stringadd[GenSymbols] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (GenSymbols, B)
   Implicit
     This member is added by an implicit conversion from GenSymbols to ArrowAssoc[GenSymbols] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (GenSymbols) ⇒ Boolean, msg: ⇒ Any): GenSymbols
   Implicit
     This member is added by an implicit conversion from GenSymbols to Ensuring[GenSymbols] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (GenSymbols) ⇒ Boolean): GenSymbols
   Implicit
     This member is added by an implicit conversion from GenSymbols to Ensuring[GenSymbols] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): GenSymbols
    Implicit
      This member is added by an implicit conversion from GenSymbols to Ensuring[GenSymbols] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): GenSymbols
    Implicit
      This member is added by an implicit conversion from GenSymbols to Ensuring[GenSymbols] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from GenSymbols to StringFormat[GenSymbols] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  def reifyFreeTerm(binding: tools.nsc.Global.Tree): tools.nsc.Global.Tree
23.  def reifyFreeType(binding: tools.nsc.Global.Tree): tools.nsc.Global.Tree
24.  def reifySymDef(sym: tools.nsc.Global.Symbol): tools.nsc.Global.Tree
25.  def reifySymRef(sym: tools.nsc.Global.Symbol): tools.nsc.Global.Tree

    Reify a reference to a symbol

26.  def symtab: Reifier.SymbolTable

    Symbol table of the reifee.

    Symbol table of the reifee.

    Keeps track of auxiliary symbols that are necessary for this reification session. These include: 1) Free vars (terms, types and existentials), 2) Non-locatable symbols (sometimes, e.g. for RefinedTypes, we need to reify these; to do that we create their copies in the reificode) 3) Non-locatable symbols that are referred by #1, #2 and #3

    Exposes three main methods: 1) `syms` that lists symbols belonging to the table, 2) `symXXX` family of methods that provide information about the symbols in the table, 3) `encode` that renders the table into a list of trees (recursively populating #3 and setting up initialization code for #1, #2 and #3)

27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (GenSymbols, B)
    Implicit
      This member is added by an implicit conversion from GenSymbols to ArrowAssoc[GenSymbols] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from GenSymbols to any2stringadd[GenSymbols]

### Inherited by implicit conversion StringFormat from GenSymbols to StringFormat[GenSymbols]

### Inherited by implicit conversion Ensuring from GenSymbols to Ensuring[GenSymbols]

### Inherited by implicit conversion ArrowAssoc from GenSymbols to ArrowAssoc[GenSymbols]

### Ungrouped